//
//  WebPageWithMobileSafariAppDelegate.m
//  WebPageWithMobileSafari
//
//  Created by Woo Ram Park on 09. 04. 02.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "WebPageWithMobileSafariAppDelegate.h"

@implementation WebPageWithMobileSafariAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {
	// 버튼을 생성한다.
	UIButton *button = [UIButton buttonWithType:UIButtonTypeRoundedRect];
	[button	setTitle:@"Go to Appstore" forState:UIControlStateNormal];
	[button setFrame:CGRectMake(30.0f, 50.0f, 200.0f, 30.0f)];
	[button addTarget:self action:@selector(launchAppStore:) forControlEvents:UIControlEventTouchDown];
	
	// 버튼을 window에 붙인다.
	[window addSubview:button];
    [window makeKeyAndVisible];
}

- (void)dealloc {
    [window release];
    [super dealloc];
}

- (void)launchAppStore:(id)sender {
	// 버튼이 눌러지면 해당 페이지로 이동한다.
	NSString *iTunesLink = @"itms://phobos.apple.com/WebObjects/MZStore.woa/wa/viewSoftware?id=304878510&mt=8";
	[[UIApplication sharedApplication] openURL:[NSURL URLWithString:iTunesLink]];
}

@end
